CURSES_CLEAR(3) | Library Functions Manual | CURSES_CLEAR(3)

# NAME

curses_clear, clear, wclear, clearok, clrtobot, clrtoeol, erase, werase, wclrtobot, wclrtoeol — curses clear window routines

# LIBRARY

Curses Library (libcurses, -lcurses)

# SYNOPSIS

#include <curses.h>

int
clear(void);

int
clearok(WINDOW *win, bool flag);

int
clrtobot(void);

int
clrtoeol(void);

int
erase(void);

int
wclear(WINDOW *win);

int
werase(WINDOW *win);

int
wclrtobot(WINDOW *win);

int
wclrtoeol(WINDOW *win);

# DESCRIPTION

These functions clear all or part of stdscr or of the specified window.

The clear() and erase() functions erase all characters on stdscr. wclear() and werase() perform the same function as clear() and erase(), respectively, excepting that the specified window is cleared.

By setting flag to TRUE, the clearok() function is used to force the next call to wrefresh() to clear and completely redraw the window given in win.

The function clrtobot() will clear stdscr from the current row to the bottom of the screen. clrtoeol() will clear stdscr from the current column position to the end of the line. wclrtobot() and wclrtoeol() are the same as clrtobot() and clrtoeol(), respectively, excepting the window specified is operated on instead of stdscr.

# RETURN VALUES

Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following values:

OK
  The function completed successfully.
ERR
  An error occurred in the function.

# SEE ALSO

curses_refresh(3)

# STANDARDS

The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

# HISTORY

The Curses package appeared in 4.0BSD.

August 12, 2002 | NetBSD 7.2